# Submit Guarantor Verification

{% hint style="warning" %}
Please note that you are required to have a webhook set for guarantor verification requests to be successful. If they are not set, you will not get notified when the verification has been completed.
{% endhint %}

## Submit Guarantor for Verification

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/guarantors`

This endpoint allows you to create guarantor verifications

#### Headers

| Name           | Type   | Description          |
| -------------- | ------ | -------------------- |
| Authentication | string | Authentication Token |

#### Request Body

| Name                | Type    | Description                                                                                 |
| ------------------- | ------- | ------------------------------------------------------------------------------------------- |
| state               | string  | State name                                                                                  |
| street              | string  | Street address                                                                              |
| landmark            | string  | Guarantors Address landmark                                                                 |
| acceptableIdType    | array   | <p>An Array of IDs to accept from the guarantor<br>( "BVN", "NIN" or "Drivers license")</p> |
| verifyAddress       | boolean | should verify Guarantors address (defaults to false )                                       |
| lga                 | string  | Local Government Area                                                                       |
| email               | string  | Guarantor Email                                                                             |
| phone               | string  | Guarantor Phone                                                                             |
| lastname            | string  | Guarantor lastname                                                                          |
| firstname           | string  | Guarantor firstname                                                                         |
| applicant.firstname | string  | Applicants first name                                                                       |
| applicant.lastname  | string  | Applicants last name                                                                        |
| applicant.dob       | string  | Applicants date of birth ( DD-MM-YYYY )                                                     |
| applicants.phone    | string  | Applicants phone number                                                                     |
| applicant.idType    | string  | Applicants Id type ( "BVN" ,"NIN", "KYC" )                                                  |
| applicant.idNumber  | string  | Applicants Identity Number ("BVN", "NIN", "Phone No")                                       |

{% tabs %}
{% tab title="201 Guarantor verification created." %}

```
{
  "status":"success",
  "data": {
  "id": 3456
  "applicant": {
    "idType": "NIN", 
    "idNumber": "8989999988443", 
    "firstname": "John",
    "middlename": "Jane", 
    "lastname": "Doe",
    "phone": "08060000001", 
    "gender": "female" 
    "birthdate": "17-01-1988", 
    "photo":"Base64 Encoded", 
  },
  "firstname": "Moses",
  "lastname": "Mavin",
  "phone": "080000000000",
  "email": "Moses.mavin@gmail.com",
  "acceptableIdType": ["NIN", "BVN", "FRSC", "VIN", "PN"],
  "address": {
    "formattedAddress": "23, John Boomg Street, Osogbo, Osun State, Nigeria",
    "state":"Osun",
    "lga": "Olorunda",
    "street": "23, John Boomg Street",
    "city": "Osogbo",
    "country": "Nigeria",
  }
  "verifyAddress": false,
  "status": {
    "status": "IN_PROGRESS", 
    "subStatus": "IN_PROGRESS", 
    "state": "IN_PROGRESS"
  },
  "createdAt": "2020-02-05T10:24:12.000",
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

```
{
    "status": "error",
    "message": "string",
    "code": "ACCESS_DENIED"
}
```

{% endtab %}
{% endtabs %}

#### Sample Request

{% tabs %}
{% tab title="JSON" %}

```
{
    "applicant": {
        "idType": "NIN",
        "idNumber": "10000000001",
        "firstname": "john",
        "lastname": "doe",
        "dob":"04-04-1944",
        "phone": "08121234567"
    },
    "firstname": "James",
    "lastname": "Ademola",
    "phone": "0800000000",
    "email": "james@Ademola.com",
    "street": "23, John Boomg Street",
    "lga": "olorunda",
    "landmark": "luke telecommunication",
    "acceptableIdType": [
        "BVN"
    ],
    "verifyAddress": true
}
```

{% endtab %}

{% tab title="CURL" %}

```
curl --verbose  
--header "Authorization: Bearer <token>"
--data '{    "applicant": {        "idType": "NIN",        "idNumber": "10000000001",        "firstname": "john",        "lastname": "doe",        "dob":"04-04-1944",        "phone": "08121234567"    },    "firstname": "James",    "lastname": "Ademola",    "phone": "0800000000",    "email": "james@Ademola.com",    "street": "23, John Boomg Street",    "lga": "olorunda",    "landmark": "luke telecommunication",    "acceptableIdTypes": [        "BVN"    ],    "verifyAddress": true}' 
--request "POST" "https://vapi.verifyme.ng/v1/verifications/guarantor"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/guarantor-verification/submit-guarantor-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
